summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
Diffstat (limited to 'network')
-rw-r--r--network/pptp/README2
-rw-r--r--network/pptp/pptp.SlackBuild34
-rw-r--r--network/pptp/pptp.info8
-rw-r--r--network/pptp/slack-desc2
4 files changed, 22 insertions, 24 deletions
diff --git a/network/pptp/README b/network/pptp/README
index 4e7670e49e..9e95edaab3 100644
--- a/network/pptp/README
+++ b/network/pptp/README
@@ -1,5 +1,3 @@
-pptp - PPTP Client
-
PPTP Client is a Linux, FreeBSD, NetBSD and OpenBSD client for the
proprietary Microsoft Point-to-Point Tunneling Protocol, PPTP. Allows
connection to a PPTP based Virtual Private Network (VPN) as used by
diff --git a/network/pptp/pptp.SlackBuild b/network/pptp/pptp.SlackBuild
index 7f8f6bc690..46fc7212ad 100644
--- a/network/pptp/pptp.SlackBuild
+++ b/network/pptp/pptp.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for pptp
# Copyright 2007 AbortRetryFail <abortretryfail@gmail.com>
-# Copyright 2007 Robby Workman <http://rlworkman.net>
+# Copyright 2007,2008 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
@@ -25,10 +25,11 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=pptp
-VERSION=1.7.1
+VERSION=1.7.2
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -42,16 +43,18 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
-
-# Make sure ownerships and permissions are sane:
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -59,15 +62,12 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Move and compress man pages
mv $PKG/usr/share/man $PKG/usr
rmdir $PKG/usr/share
( cd $PKG/usr/man
@@ -80,8 +80,8 @@ mv $PKG/etc/ppp/options.pptp $PKG/etc/ppp/options.pptp.new
# Reference docs, in this case, might be handy to have around
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING NEWS PROTOCOL-SECURITY README TODO USING \
- Documentation/DESIGN* Reference $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog DEVELOPERS INSTALL NEWS PROTOCOL-SECURITY \
+ README TODO USING Documentation/* $PKG/usr/doc/$PRGNAM-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/network/pptp/pptp.info b/network/pptp/pptp.info
index 7efe713312..4db2a5eba5 100644
--- a/network/pptp/pptp.info
+++ b/network/pptp/pptp.info
@@ -1,8 +1,8 @@
PRGNAM="pptp"
-VERSION="1.7.1"
+VERSION="1.7.2"
HOMEPAGE="http://pptpclient.sourceforge.net/"
-DOWNLOAD="http://dl.sourceforge.net/pptpclient/pptp-1.7.1.tar.gz"
-MD5SUM="b47735ba5d6d37dfdbccb85afc044ede"
+DOWNLOAD="http://downloads.sourceforge.net/pptpclient/pptp-1.7.2.tar.gz"
+MD5SUM="4c3d19286a37459a632c7128c92a9857"
MAINTAINER="AbortRetryFail"
EMAIL="abortretryfail@gmail.com"
-APPROVED="rworkman"
+APPROVED="rworkman,Erik Hanson"
diff --git a/network/pptp/slack-desc b/network/pptp/slack-desc
index 32ef5e9742..fbe63f09b5 100644
--- a/network/pptp/slack-desc
+++ b/network/pptp/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-pptp: pptp (PPTP Client for Linux)
+pptp: pptp (a PPTP Client for Linux)
pptp:
pptp: PPTP Client is a Linux, FreeBSD, NetBSD, and OpenBSD client for the
pptp: proprietary Microsoft Point-to-Point Tunneling Protocol, PPTP.